package com.thomasbet.endpoints.DTO;

import java.util.List;

public class PageableResponse<Object> {
    private int size;
    private int page;
    private Object response;

    public PageableResponse(int size, int page, Object response) {
        this.size = size;
        this.page = page;
        this.response = response;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getPage() {
        return page;
    }

    public void setPage(int page) {
        this.page = page;
    }

    public Object getResponse() {
        return response;
    }

    public void setResponse(Object response) {
        this.response = response;
    }
}
