package com.thomasbet.endpoints.DTO;

public class StrategyDTO {

    private String title;
    private String body;
    private Long userId;
    private Long strategyId;

    private Long dateNew;
    private Long dateEdit;

    private int trust;

    private String bet;


    public StrategyDTO() {
    }

    public StrategyDTO(String title, String body, Long userId, Long strategyId, Long dateNew, Long dateEdit, int trust, String bet) {
        this.title = title;
        this.body = body;
        this.userId = userId;
        this.strategyId = strategyId;
        this.dateNew = dateNew;
        this.dateEdit = dateEdit;
        this.trust = trust;
        this.bet = bet;
    }

    public StrategyDTO(String title, String body, Long userId, Long dateNew, Long dateEdit, int trust, String bet) {
        this.title = title;
        this.body = body;
        this.userId = userId;
        this.dateNew = dateNew;
        this.dateEdit = dateEdit;
        this.trust = trust;
        this.bet = bet;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getStrategyId() {
        return strategyId;
    }

    public void setStrategyId(Long strategyId) {
        this.strategyId = strategyId;
    }

    public Long getDateNew() {
        return dateNew;
    }

    public void setDateNew(Long dateNew) {
        this.dateNew = dateNew;
    }

    public Long getDateEdit() {
        return dateEdit;
    }

    public void setDateEdit(Long dateEdit) {
        this.dateEdit = dateEdit;
    }

    public int getTrust() {
        return trust;
    }

    public void setTrust(int trust) {
        this.trust = trust;
    }

    public String getBet() {
        return bet;
    }

    public void setBet(String bet) {
        this.bet = bet;
    }

    @Override
    public String toString() {
        return "StrategyDTO{" +
                "title='" + title + '\'' +
                ", body='" + body + '\'' +
                ", userId=" + userId +
                ", strategyId=" + strategyId +
                ", dateNew=" + dateNew +
                ", dateEdit=" + dateEdit +
                ", trust=" + trust +
                ", bet='" + bet + '\'' +
                '}';
    }
}
