package com.thomasbet.endpoints.mappers;

import com.thomasbet.endpoints.mappers.BlogMapper;
import com.thomasbet.endpoints.mappers.SportMapper;
import com.thomasbet.endpoints.mappers.StrategyMapper;
import org.mapstruct.factory.Mappers;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class MappersConfig {

    @Bean
    public StrategyMapper strategyMapper() {
        return Mappers.getMapper(StrategyMapper.class);
    }

    @Bean
    public BlogMapper blogMapper(){
        return Mappers.getMapper(BlogMapper.class);
    }

    @Bean
    public SportMapper sportMapper(){
        return Mappers.getMapper(SportMapper.class);
    }

    @Bean
    public UserMapper userMapper(){
        return Mappers.getMapper(UserMapper.class);
    }

    @Bean
    public EventMapper eventMapper(){
        return Mappers.getMapper(EventMapper.class);
    }

    @Bean
    public BetMapper betMapper(){
        return Mappers.getMapper(BetMapper.class);
    }
}
