package com.thomasbet.endpoints.repository;

import com.thomasbet.endpoints.DTO.BetDTO;
import com.thomasbet.endpoints.DTO.EventDTO;
import com.thomasbet.endpoints.Model.Bet;
import com.thomasbet.endpoints.Model.Event;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

//repozitář strategií
@Repository
public interface BetRepository extends JpaRepository<Bet, Long> {

    public Page<Bet> findByUserId(Long userId, Pageable pageable);
}
