package com.thomasbet.endpoints.repository;

import com.thomasbet.endpoints.DTO.StrategyDTO;
import com.thomasbet.endpoints.Model.Strategy;
import com.thomasbet.endpoints.Model.User;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface StrategyRepository extends JpaRepository<Strategy, Long> {

    @Query(value = "SELECT * FROM strategy s WHERE s.user_id = ?1",
            nativeQuery = true)
    Page<Strategy> getStrateigesByUserId(Long id, Pageable pageable);
}
