package com.thomasbet.endpoints.DTO;

import jakarta.persistence.Column;
import jakarta.persistence.GeneratedValue;
import jakarta.persistence.GenerationType;
import jakarta.persistence.Id;

public class BetDTO {


    private Long id;


    private String eventId;


    private Integer userId;


    private Long value;


    private Integer betType;

    private Float odd;

    public BetDTO(Long id, String eventId, Integer userId, Long value, Integer betType, Float odd) {
        this.id = id;
        this.eventId = eventId;
        this.userId = userId;
        this.value = value;
        this.betType = betType;
        this.odd = odd;
    }

    public BetDTO(String eventId, Integer userId, Long value, Integer betType, Float odd) {
        this.eventId = eventId;
        this.userId = userId;
        this.value = value;
        this.betType = betType;
        this.odd = odd;
    }

    public BetDTO() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Long getValue() {
        return value;
    }

    public void setValue(Long value) {
        this.value = value;
    }

    public Integer getBetType() {
        return betType;
    }

    public void setBetType(Integer betType) {
        this.betType = betType;
    }

    public Float getOdd() {
        return odd;
    }

    public void setOdd(Float odd) {
        this.odd = odd;
    }

    @Override
    public String toString() {
        return "BetDTO{" +
                "id=" + id +
                ", eventId='" + eventId + '\'' +
                ", userId=" + userId +
                ", value=" + value +
                ", betType=" + betType +
                ", odd=" + odd +
                '}';
    }
}
