package com.thomasbet.endpoints.DTO;

import com.thomasbet.endpoints.Model.User;
import jakarta.persistence.Column;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;

public class BlogDTO {

    private Long blogId;

    private Long userId;

    private String title;
    private String body;
    private Long dateNew;
    private Long dateEdit;


    public BlogDTO() {
    }

    public BlogDTO(Long blogId, Long userId, String title, String body, Long dateNew, Long dateEdit) {
        this.blogId = blogId;
        this.userId = userId;
        this.title = title;
        this.body = body;
        this.dateNew = dateNew;
        this.dateEdit = dateEdit;
    }

    public BlogDTO(Long userId, String title, String body, Long dateNew, Long dateEdit) {
        this.userId = userId;
        this.title = title;
        this.body = body;
        this.dateNew = dateNew;
        this.dateEdit = dateEdit;
    }

    public Long getBlogId() {
        return blogId;
    }

    public void setBlogId(Long blogId) {
        this.blogId = blogId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getBody() {
        return body;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public Long getDateNew() {
        return dateNew;
    }

    public void setDateNew(Long dateNew) {
        this.dateNew = dateNew;
    }

    public Long getDateEdit() {
        return dateEdit;
    }

    public void setDateEdit(Long dateEdit) {
        this.dateEdit = dateEdit;
    }


}
