package com.thomasbet.endpoints.DTO;

import jakarta.persistence.Column;
import jakarta.persistence.Id;

public class SportDTO {


    private String sportId;
    private String sport;
    private String league;
    private String description;
    private boolean hasOutrights;

    public SportDTO() {
    }

    public SportDTO(String sportId, String sport, String league, String description, boolean hasOutrights) {
        this.sportId = sportId;
        this.sport = sport;
        this.league = league;
        this.description = description;
        this.hasOutrights = hasOutrights;
    }

    public SportDTO(String sport, String league, String description, boolean hasOutrights) {
        this.sport = sport;
        this.league = league;
        this.description = description;
        this.hasOutrights = hasOutrights;
    }

    public String getSportId() {
        return sportId;
    }

    public void setSportId(String sportId) {
        this.sportId = sportId;
    }

    public String getSport() {
        return sport;
    }

    public void setSport(String sport) {
        this.sport = sport;
    }

    public String getLeague() {
        return league;
    }

    public void setLeague(String league) {
        this.league = league;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public boolean isHasOutrights() {
        return hasOutrights;
    }

    public void setHasOutrights(boolean hasOutrights) {
        this.hasOutrights = hasOutrights;
    }

    @Override
    public String toString() {
        return "SportDTO{" +
                "sportId='" + sportId + '\'' +
                ", sport='" + sport + '\'' +
                ", league='" + league + '\'' +
                ", description='" + description + '\'' +
                ", hasOutrights=" + hasOutrights +
                '}';
    }
}
