package com.thomasbet.endpoints.Model;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

//databázový model entity
@Entity
@Table(name = "sports")
public class Sport {

    @Id
    @Column(name = "sport_id")
    private String sportId;

    @Column(name = "sport")
    private String sport;

    @Column(name = "league")
    private String league;

    @Column(name = "description")
    private String description;

    @Column(name = "has_outrights")
    private boolean hasOutrights;

    public Sport() {
    }

    public Sport(String sportId, String sport, String league, String description, boolean hasOutrights) {
        this.sportId = sportId;
        this.sport = sport;
        this.league = league;
        this.description = description;
        this.hasOutrights = hasOutrights;
    }

    public Sport(String sport, String league, String description, boolean hasOutrights) {
        this.sport = sport;
        this.league = league;
        this.description = description;
        this.hasOutrights = hasOutrights;
    }

    public String getSportId() {
        return sportId;
    }

    public void setSportId(String sportId) {
        this.sportId = sportId;
    }

    public String getSport() {
        return sport;
    }

    public void setSport(String sport) {
        this.sport = sport;
    }

    public String getLeague() {
        return league;
    }

    public void setLeague(String league) {
        this.league = league;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public boolean isHasOutrights() {
        return hasOutrights;
    }

    public void setHasOutrights(boolean hasOutrights) {
        this.hasOutrights = hasOutrights;
    }

    @Override
    public String toString() {
        return "Sports{" +
                "sportId='" + sportId + '\'' +
                ", sport='" + sport + '\'' +
                ", league='" + league + '\'' +
                ", description='" + description + '\'' +
                ", hasOutrights=" + hasOutrights +
                '}';
    }
}
